Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface DocumentAS

public interface DocumentAS

This interface extends the `Document` interface with additional methods for both document and AS editing.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

Method Summary
`void` | `addAS(ASModel as)` Associate a `ASModel` with a document.
`ASModel` | `getActiveASModel()` The active external ASModel.
`ASObjectList` | `getBoundASModels()` A list of `ASObject`s of type `AS_MODEL`s associated with a document.
`ASElementDeclaration` | `getElementDeclaration()` Gets the AS editing object describing this elementThis method needs to be changed and others added.
`ASModel` | `getInternalAS()` Retrieve the internal `ASModel` of a document.
`void` | `removeAS(ASModel as)` Removes a `ASModel` associated with a document.
`void` | `setActiveASModel(ASModel activeASModel)` The active external ASModel.
`void` | `setBoundASModels(ASObjectList boundASModels)` A list of `ASObject`s of type `AS_MODEL`s associated with a document.
`void` | `setInternalAS(ASModel as)` Sets the internal subset `ASModel` of a document.
`void` | `validate()` Validates the document against the `ASModel`.

Method Detail

### getActiveASModel

    public ASModel getActiveASModel()

  The active external ASModel. Note that the active external `ASModel` is responsible for consulting the internal ASModel, so if an attribute is declared in the internal `ASModel` and the corresponding `ownerElements` points to a `ASElementDeclaration`s defined in the active external ASModel, changing the active external ASModel will cause the `ownerElements` to be recomputed. If the `ownerElements` is not defined in the newly active external ASModel, the `ownerElements` will be an empty node list.

### setActiveASModel

    public void setActiveASModel(ASModel activeASModel)

  The active external ASModel. Note that the active external `ASModel` is responsible for consulting the internal ASModel, so if an attribute is declared in the internal `ASModel` and the corresponding `ownerElements` points to a `ASElementDeclaration`s defined in the active external ASModel, changing the active external ASModel will cause the `ownerElements` to be recomputed. If the `ownerElements` is not defined in the newly active external ASModel, the `ownerElements` will be an empty node list.

### getBoundASModels

    public ASObjectList getBoundASModels()

  A list of `ASObject`s of type `AS_MODEL`s associated with a document. The `addAS` method associates a `ASModel` with a document.

### setBoundASModels

    public void setBoundASModels(ASObjectList boundASModels)

  A list of `ASObject`s of type `AS_MODEL`s associated with a document. The `addAS` method associates a `ASModel` with a document.

### getInternalAS

    public ASModel getInternalAS()

  Retrieve the internal `ASModel` of a document.
  Returns:
    `ASModel`.

### setInternalAS

    public void setInternalAS(ASModel as)

  Sets the internal subset `ASModel` of a document. This could be null as a mechanism for "removal".
  Parameters:
    `as` - `ASModel` to be the internal subset of the document.

### addAS

    public void addAS(ASModel as)

  Associate a `ASModel` with a document. Can be invoked multiple times to result in a list of `ASModel`s. Note that only one internal `ASModel` is associated with the document, however, and that only one of the possible list of `ASModel`s is active at any one time.
  Parameters:
    `as` - `ASModel` to be associated with the document.

### removeAS

    public void removeAS(ASModel as)

  Removes a `ASModel` associated with a document. Can be invoked multiple times to remove a number of these in the list of `ASModel`s.
  Parameters:
    `as` - The `ASModel` to be removed.

### getElementDeclaration

    public ASElementDeclaration getElementDeclaration()
                                               throws org.w3c.dom.DOMException

  Gets the AS editing object describing this elementThis method needs to be changed and others added.
  Returns:
    ASElementDeclaration object if the implementation supports " `AS-EDIT`" feature. Otherwise `null`.
  Throws:
    `org.w3c.dom.DOMException` - NOT_FOUND_ERR: Raised if no `ASModel` is present.

### validate

    public void validate()
                  throws DOMASException

  Validates the document against the `ASModel`.
  Throws:
    `DOMASException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.